use inc::Module::Install;

perl_version '5.008008';

name 'make-world';
license 'gpl3';

all_from 'src/make-world';


requires 'Archive::Extract';
requires 'Capture::Tiny';
requires 'Cwd' => 0;
requires 'File::Copy';
requires 'File::Copy::Recursive';
requires 'File::Path';
requires 'File::Spec::Functions';
requires 'File::Temp';
requires 'File::pushd';
requires 'Getopt::ArgvFile';
requires 'Getopt::Long' => 2.36;
requires 'IPC::Cmd' => 0.64;
requires 'Module::Load';
requires 'Module::Pluggable' => 4.8;
requires 'Moo';
requires 'Pod::Perldoc';
requires 'String::Interpolate::Shell';
requires 'Template::Tiny';
requires 'XML::Tiny';
requires 'YAML::Tiny';
requires 'version' => 0.77;

test_requires 'Test::More';


author_requires 'Test::Pod';
author_requires 'Test::Strict';
author_requires 'Module::Install::TemplateInstallPath';

install_script 'src/make-world';

template_install_path();

use Cwd;
use File::Spec::Functions qw[ catdir ];

my $cwd = getcwd;

makemaker_args(
	 INST_ARCHLIB => catdir( $cwd, qw[ blib arch] ),
	 INST_LIB     => catdir( $cwd, qw[ blib lib] ),
	 INST_BIN     => catdir( $cwd, qw[ blib bin] ),
	 INST_SCRIPT  => catdir( $cwd, qw[ blib script] ),
	 INST_MAN1DIR => catdir( $cwd, qw[ blib man1] ),
	 INST_MAN3DIR => catdir( $cwd, qw[ blib man3] ),
	 );

WriteAll;
