package MakeWorld::Mogrify;

use strict;
use warnings;

use MakeWorld::Utils  qw[ find_plugins ];

my @Plugins;
my %PluginMap;

find_plugins( __PACKAGE__, \@Plugins, \%PluginMap,
	      qw[ Copy Exec Fillin MkPath Patch Rm RmTree ]);



################################################################################
# does the command exist?
sub is_cmd { return $PluginMap{$_[0]} }


################################################################################
# validate that the requested hook is legit.  called after a package has been
# specialized

sub validate {

    my $self = shift;
    my $mogrify = shift;

    my ( $stage, $location ) = $self->{stage}->parse_hook( $mogrify->{hook} );

    die( "invalid hook attribute value for $mogrify->{cmd}: $mogrify->{hook}\n" )
	unless $self->{stage}->is_legal_hook( $mogrify->{hook} );

    push @{ $self->{hook}{$stage}{$location} }, [ @{$mogrify}{ qw[ cmd action ] } ];

}

1;
