package MakeWorld::Mogrify::Rm;

use strict;
use warnings;

use MakeWorld::Global;
use MakeWorld::Check qw[ check %BOOLEAN ];
use MakeWorld::Run;
use MakeWorld::Log;

################################################################################
# execute a command

sub verify {

    my ( $class, $opts, $need_hook ) = @_;

    return check( {
		   arg => { required => 1, default => [] },
		   hook => { required => $need_hook },
		  }, $opts
		);
}


sub mogrify
{
    my ( $class, $pkg, $opts ) = @_;

    msgp( "<rm>", MakeWorld::Log::Info, $opts->{arg} );

    foreach my $file ( @{ $opts->{arg} } )
    {
	unlink( $file ) or die( "<rm>: error unlinking $file\n" )
    }

    return;
}

1;
